Bug 1285263 - (CVE-2015-8124, CVE-2015-8125) CVE-2015-8124 CVE-2015-8125 php-symfony: Session fixation and remote timing attack vulnerabilities
CVE-2015-8124 CVE-2015-8125 php-symfony: Session fixation and remote timing a...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151123,repor...
: Security
Depends On: 1285264 1285265
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 05:14 EST by Adam Mariš
Modified: 2016-11-08 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version: php-symfony 2.3.35, php-symfony 2.6.12, php-symfony 2.7.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 03:44:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-25 05:14:56 EST
Two security issues in php-symfony were found:

CVE-2015-8124: Session Fixation in the "Remember Me" Login Feature

A session fixation vulnerability within the "Remember Me" login feature allows an attacker to impersonate the victim towards the web application if the session id value was previously known to the attacker.

Upstream patch:

https://github.com/fabpot/symfony/commit/f88e600833b6822db5873e25deaefd14948e4878

CVE-2015-8125: Potential Remote Timing Attack Vulnerability in Security Remember-Me Service

Several potential remote timing attack vulnerabilities were discovered in classes from the Symfony Security component (Symfony\Component\Security\Http\RememberMe\PersistentTokenBasedRememberMeServices and Symfony\Component\Security\Http\Firewall\DigestAuthenticationListener) and in the legacy CSRF implementation from the Symfony Form component (Symfony\Component\Form\Extension\Csrf\CsrfProvider\DefaultCsrfProvider).

Upstream patches:

https://github.com/fabpot/symfony/commit/f1fd7686c5fdc191a599d1e77d9748365f8a19cf
https://github.com/fabpot/symfony/commit/557ea17eeb21817f3c18147b56c86172794a75df
https://github.com/fabpot/symfony/commit/819aa54fe489a403c0a3fe00fd0840ed53a15609

External reference:

http://symfony.com/blog/cve-2015-8124-session-fixation-in-the-remember-me-login-feature
http://symfony.com/blog/cve-2015-8125-potential-remote-timing-attack-vulnerability-in-security-remember-me-service
Comment 1 Adam Mariš 2015-11-25 05:15:23 EST
Created php-symfony tracking bugs for this issue:

Affects: fedora-all [bug 1285264]
Affects: epel-all [bug 1285265]
Comment 2 Fedora Update System 2015-12-05 20:23:21 EST
php-symfony-2.7.7-2.fc23, php-twig-1.23.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2015-12-05 22:19:35 EST
php-symfony-2.7.7-2.fc22, php-twig-1.23.1-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Shawn Iwinski 2016-07-05 09:55:29 EDT
All dependent bugs have been closed.  Please close this tracking bug as well.
Comment 5 Shawn Iwinski 2016-07-05 09:55:57 EDT
All dependent bugs have been closed.  Please close this tracking bug as well.
Comment 6 Adam Mariš 2016-07-07 03:44:16 EDT
Ok, thanks!

Note You need to log in before you can comment on or make changes to this bug.